<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/layout/panels/_panel_title.xhtml"
                rendered="#{pdqpdc.selectedTransaction.keyword.equals('ITI-22')}">
        <ui:define name="panel_title">#{messages['gazelle.simulator.pam.VisitInformation']}</ui:define>
        <div class="row">
            <div class="col-md-4">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.PatientClass_3']}</ui:define>
                    <ui:param name="id" value="classinput"/>
                    <h:inputText id="classinput" styleClass="form-control"
                                 value="#{pdqpdc.encounterCriteria.patientClassCode}"/>
                </s:decorate>
            </div>
            <div class="col-md-4">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.HospitalService']}</ui:define>
                    <ui:param name="id" value="serviceinput"/>
                    <h:inputText id="serviceinput" styleClass="form-control"
                                 value="#{pdqpdc.encounterCriteria.hospitalServiceCode}"/>
                </s:decorate>
            </div>
            <div class="col-md-4">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.VisitNumber']}</ui:define>
                    <ui:param name="id" value="vnbinput"/>
                    <h:inputText id="vnbinput" styleClass="form-control" value="#{pdqpdc.encounterCriteria.visitNumber}"
                                 size="80"/>
                </s:decorate>
            </div>
        </div>
        <hr lineType="solid"/>
        <h2>#{messages['gazelle.simulator.pam.AssignedLocation']}</h2>

        <div class="row">
            <div class="col-md-3">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.PointOfCare']}</ui:define>
                    <ui:param name="id" value="pocinput"/>
                    <h:inputText id="pocinput" styleClass="form-control"
                                 value="#{pdqpdc.movementCriteria.pointOfCareCode}"/>
                </s:decorate>
            </div>
            <div class="col-md-3">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.Room']}</ui:define>
                    <ui:param name="id" value="roominput"/>
                    <h:inputText id="roominput" styleClass="form-control" value="#{pdqpdc.movementCriteria.roomCode}"/>
                </s:decorate>
            </div>
            <div class="col-md-3">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.Bed']}</ui:define>
                    <ui:param name="id" value="bedinput"/>
                    <h:inputText id="bedinput" styleClass="form-control" value="#{pdqpdc.movementCriteria.bedCode}"/>
                </s:decorate>
            </div>
            <div class="col-md-3">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.Facility']}</ui:define>
                    <ui:param name="id" value="facilityinput"/>
                    <h:inputText id="facilityinput" styleClass="form-control"
                                 value="#{pdqpdc.movementCriteria.facilityCode}"/>
                </s:decorate>
            </div>
        </div>
        <hr lineType="solid"/>
        <h2>#{messages['gazelle.simulator.pam.Doctorslastname']})</h2>

        <div class="row">
            <div class="col-md-4">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.Admitting']}</ui:define>
                    <ui:param name="id" value="adminput"/>
                    <h:inputText id="adminput" styleClass="form-control"
                                 value="#{pdqpdc.encounterCriteria.admittingDoctorCode}"/>
                </s:decorate>
            </div>
            <div class="col-md-4">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.Attending']}</ui:define>
                    <ui:param name="id" value="attinput"/>
                    <h:inputText id="attinput" styleClass="form-control"
                                 value="#{pdqpdc.encounterCriteria.attendingDoctorCode}"/>
                </s:decorate>
            </div>
            <div class="col-md-4">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.Referring']}</ui:define>
                    <ui:param name="id" value="refinput"/>
                    <h:inputText id="refinput" styleClass="form-control"
                                 value="#{pdqpdc.encounterCriteria.referringDoctorCode}"/>
                </s:decorate>
            </div>
        </div>
    </s:decorate>
</ui:composition>
